import { select, csv } from 'd3';

const svg = select('svg');

const height = parseFloat(svg.attr('height'));
const width = parseFloat(svg.attr('width'));

const render = data => {
  const xScale = scaleLinear()
    .domain([0, max(data, d => d.population)])
    .range([0, width]);
  
  const yScale = 
  
  console.log(xScale.range());
  
  svg.selectAll('rect').data(data)
    .enter().append('rect')
      .attr('width', d => xScale(d.population))
      .attr('height', 300);
};

csv('data.csv').then(data => {
  data.forEach(d => {
    d.population = +d.population * 1000;
  });
  console.log(data);
});
